class ContactPoint < ActiveRecord::Base

  # Attributes

  # Callbacks

  # Relationships
  belongs_to :contact_type
  belongs_to :contactable, :polymorphic => true

  # Validations
  validate :validate_point

  # Custom Finders
  named_scope :begins_with, lambda { |n| { :conditions => ['point like ?', '#{n}%'] }}
  named_scope :contains, lambda { |n| { :conditions => ['point like ?', '%#{n}%'] }}
  named_scope :is, lambda {|n| { :conditions => { :point => n }}}

  # Model Operations

  # Instance Operations
  def validate_point
    errors.add( :point, $ERROR_MESSAGES[:contact_point_requires_point]) if self.point.nil?
    errors.add( :point, $ERROR_MESSAGES[:contact_point_requires_point]) if self.point.empty? unless self.point.nil?
    errors.add( :contact_type, $ERROR_MESSAGES[:contact_point_requires_contact_type]) if self.contact_type.nil?
    errors.add( :point, $ERROR_MESSAGES[:contact_point_invalid_data]) unless self.contact_type.regex.match(self.point) unless self.contact_type.nil?
  end

  def is_owned_by?(contactee)
    self.contactable == contactee
  end

end
