require 'test_helper'

class ContactTypeTest < ActiveSupport::TestCase
  fixtures :contact_types

  def test_requires_name
    contact_type = ContactType.new
    assert(!contact_type.valid?)
    assert(contact_type.errors.invalid?(:name))
    assert(!contact_type.save)
  end

  def test_unique_name
    contact_type = ContactType.new
    contact_type.name = contact_types(:email).name
    assert(!contact_type.valid?)
    assert(contact_type.errors.invalid?(:name))
    assert(!contact_type.save)
  end

  def test_requires_regex_format
    contact_type = ContactType.new
    assert(!contact_type.valid?)
    assert(contact_type.errors.invalid?(:regex_format))
    assert(!contact_type.save)
  end

  def test_all_requires
    contact_type = ContactType.new
    assert(!contact_type.valid?)
    assert(contact_type.errors.invalid?(:name))
    contact_type.name = "#{contact_types(:email).name}#{contact_types(:phone).name}"
    assert(!contact_type.valid?)
    assert(!contact_type.errors.invalid?(:name))
    assert(contact_type.errors.invalid?(:regex_format))
    contact_type.regex_format = "#{contact_types(:email).regex_format}"
    assert(contact_type.valid?)
    assert(!contact_type.errors.invalid?(:regex_format))
    assert(contact_type.save)
  end
  
end
